import request from '@/utils/request'

// 查询小区信息列表
export function listXqinfo(query) {
  return request({
    url: '/szxc/xqinfo/list',
    method: 'get',
    params: query
  })
}

// 查询小区信息详细
export function getXqinfo(id) {
  return request({
    url: '/szxc/xqinfo/' + id,
    method: 'get'
  })
}

// 新增小区信息
export function addXqinfo(data) {
  return request({
    url: '/szxc/xqinfo',
    method: 'post',
    data: data
  })
}

// 修改小区信息
export function updateXqinfo(data) {
  return request({
    url: '/szxc/xqinfo',
    method: 'put',
    data: data
  })
}

// 删除小区信息
export function delXqinfo(id) {
  return request({
    url: '/szxc/xqinfo/' + id,
    method: 'delete'
  })
}
